<%@
	page trimDirectiveWhitespaces="true"

%><%@
	page import="java.io.*,
			com.erad.pacs.connector.Connector,
			com.erad.pacs.services.usermanager.client.Session,
			com.erad.pacs.services.usermanager.client.interfaces.UserManagerFacade,
			imagemed.util.*, imagemed.users.*,
			imagemed.jsputil.*, imagemed.layout.cache.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
/*		possible values of op:
 *			restore: 	the user-defined default XML will be erased
 *			upload:		a new user-defined default XML will be uploaded
 * 		optional parameter: cUser to identify who's personal default to set/restore...
 */
 
	UserManagerFacade userManager = Connector.getInstance().get( UserManagerFacade.Caller );
	Session sess = userManager.getSessitaSession( request, response );
	if ( !sess.getRights().hasAdminRight() ) { //Has no ADMIN RIGHT?
		return;
	}

	String layoutType = request.getParameter( "cLayoutType" );
	String templateName = request.getParameter( "cTemplate" );
	String fName = "downloaded.xml";
	File xmlFile = null;
	if ( LayoutXmlToolbox.BUILTIN.equals( templateName ) ) {
		File file = new File( LayoutCache.getBuiltinXmlFileName( layoutType ) );
		if ( file.exists() ) {
			xmlFile = file;
		}
	}
	else if ( templateName != null && templateName.length() > 0 ) {
		fName = templateName;
		File file = new File(LayoutCache.getXmlFileName( layoutType, fName ) );
		if ( file.exists() ) {
			xmlFile = file;
		}
	}
	else {
		UserFile file = LayoutCache.getUserTmpLayoutXmlFile( layoutType, sess.getUser().getUserId() );
		if ( file.exists() ) {
			xmlFile = file.toFile();
		}
	}

	if ( xmlFile == null ) {
		return;
	}

	response.addHeader( "Content-type", "text/xml" );
	response.addHeader( "Content-Disposition", "attachment; filename=\"" + fName + "\"" );

	out.println( Helper.readTextFile( xmlFile.getAbsolutePath() ) );
	return;
%>