<%@
	page errorPage="../main/exceptionHandler.jsp"

%><% throw new Exception("Unimplemented JSP");%>
<%--
 * Component: archive
 *
 * Description:
 *   WEB interface listing archive content.
 *
 * Parameters:
 *
 *   General table parameters: filters, fields, pagesize, ...
 *
 * Last Updated     : $Author: balage $
 * Update Date Time : $Date: 2014/03/05 11:08:09 $
 * RCS File Name    : $RCSfile: index.jsp,v $
 * RCS Revision     : $Revision: 1.38 $
 * Locked by        : $Locker:  $
 * Symbolic name    : $Name:  $
 * State            : $State: Exp $
 *
-- %><%@page import="imagemed.dotcom.DotcomConfig"%>
<%@page import="imagemed.util.LocalizedMessage"%>
<%@page import="java.util.Properties"%>
<%@page import="imagemed.http.IMRequest"%>
<%@page import="imagemed.imsession.IMSession"%>
<%@page import="imagemed.types.flag.IMTypeur"%>
<%@
	page import="imagemed.jsputil.*,com.erad.pacs.app.broker.table.internals.*,com.erad.pacs.app.broker.table.internals.imtables.*, com.erad.pacs.app.broker.table.internals.action.*,
			com.erad.pacs.app.broker.table.internals.lists.*, com.erad.pacs.app.broker.table.internals.imtables.DBLDSWrapperSqlResultImpl.IncrementalContextImpl,
			com.erad.pacs.common.interfaces.result.*"

%><%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%
	IMSession is = new IMSession(request, response, out);
	if (!is.regOK()) {
		return;
	}
	
	if (!TabToolbox.hasLicense(is, TabBean.LICENSE_ARCHIVE)) { // no archive license
		if (!TabToolbox.hasLicense(is, TabBean.LICENSE_QR)) { // no QR license
	response.sendRedirect("/archive/dicomdir.jsp?cMode=Client");
		}
		else {
	response.sendRedirect("/qr/index.jsp");
		}
		return;
	}

	if( !is.hasRight( IMTypeur.ARCHIVE_RIGHT ) ) { // no archive right, redirect to Media Import or Media Creation
		if( is.hasRight( IMTypeur.IMPORT_CD ) ) {
	response.sendRedirect("/archive/dicomdir.jsp?cMode=Client" );
		}
		else {
	response.sendRedirect("/cd/burncd.jsp?cStart=check" );
		}
	}

	IMRequest parReq = is.imRequest;
	String context = parReq.m_context;
	if (context == null || context.length() == 0) {
		context = parReq.backupContext();

		response.sendRedirect("/cases/dcfilterb.jsp?cContext=" + context + "&cIndexPage=/archive/index.jsp&cIndexTab=Archive");
		return;
	}

	parReq.passAsFile(context);

	boolean hasAdminRight = (-1 != is.regRights.indexOf('A'));

	String thisPage = "/archive/index.jsp";

//	String parentHost = null;
//	try {
//		parentHost = DotcomToolbox.getParentHost();
//	}
//	catch (Throwable th) {}
	
//	String passParentHost = parentHost == null ? "" : "&cHost=" + Helper.URLEncodeUTF8(parentHost);

	String fields[] = TableParamsImpl.getDefaultFields("/archive/index.jsp", is);
	String sort[] = TableParamsImpl.getDefaultSorts("/archive/index.jsp");

	TableDescriptorImpl tdesc = new TableDescriptorImpl(thisPage);
	TablePropertiesImpl tprop = new TablePropertiesImpl();

	TableParamsImpl tparams = new TableParamsImpl(is.imRequest);
	tparams.setDefaultFields(fields);
	tparams.setDefaultSort(sort);
	tparams.setDefaultPage(1);
	tparams.setDefaultPageSize(20);

	ArchivesFieldManagerImpl fm = new ArchivesFieldManagerImpl( ArchivesFieldManagerImpl.MODE.EP_ARCHIVES, ArchivesFieldManagerImpl.ISSUER.LOCAL ); 
	
	tdesc.setTableParams( tparams );
	tdesc.setTableProperties( tprop );
	tdesc.setFieldManager( fm );
	tdesc.setSortDepth( 3 );

	
	boolean needObsLink = hasAdminRight && fm.hasNonReadonlyEPArchive();
	
	ActionImpl act[] = new ActionImpl[ needObsLink ? 3 : 2 ];
	act[0] = new ArchiveCheckbox( tprop, false );
	act[1] = new ArchiveAction( tdesc, "SYUI", "/archive/get.jsp?cDevStudy=$$RSRC$$+$$SYUI$$" );
	if ( needObsLink ) {
		act[ 2 ] = new ArchiveObsoleteAction( tdesc, "SYUI",
		"/archive/obs.jsp?cDevStudy=$$RSRC$$+$$SYUI$$", "<script language=\"JavaScript\">getImage(\'delete\', 17, 20, \' alt=\"Obsolete study\"\');</script>",
		"set study obsolete" );
	}

	ActionImpl[] batchActions = new ActionImpl[ needObsLink ? 2 : 1 ];
	batchActions[ 0 ] = new StaticLinkAction(
	"<a href=\"javascript:doSubmit();\"><script language=\"JavaScript\">getImage(\'get\', 16, 20, \' alt=\"Retrieve selected studies\"\');</script></a>",
	tprop, "" );
	if ( needObsLink ) {
		batchActions[ 1 ] = new StaticLinkAction(
		"<a href=\"javascript:doSubmit('obs.jsp');\"><script language=\"JavaScript\">getImage(\'delete\', 17, 20, \' alt=\"Obsolete selected studies\"\');</script></a>",
		tprop, "" );
	}
	ColumnImpl col = new ColumnImpl(new BatchHeader(batchActions), new ActionCell("SYUI", act), "SYUI");

	tdesc.addExtraColumn("_FIRST", col);

	Properties TDsettingsPage = new Properties();
	TDsettingsPage.setProperty("align", "right");
	TDsettingsPage.setProperty("width", "100%");

	TopCellImpl topCell[] = new TopCellImpl[4];
	topCell[0] = new TitleTopCell(tprop, LocalizedMessage.getSimpleMessage( "tabArchive"  ) );
	topCell[1] = new FiltersTopCell( tdesc, null );
	topCell[2] = new SortsTopCell( tdesc, null );
	topCell[3] = new PageTopCell(tprop, tparams, TDsettingsPage);

	tdesc.setTopCells(topCell);
	ArchivesResultImpl result = new ArchivesResultImpl(tdesc, DotcomConfig.selfId());

	String resultID = result.getResultID();

	if (resultID != null && !resultID.equals(parReq.getVal("cResultID"))) {
		parReq.setProperty("cResultID", resultID);
		parReq.passAsFile(parReq.m_context);
	}

	tdesc.setResult(result);

	tdesc.setFormParams (" action=\"get.jsp\" method=\"POST\"");

	TableImpl table = new TableImpl(tdesc);
%>
<%@page import="imagemed.http.tabs.TabBean"%><HTML><HEAD><TITLE><%= LocalizedMessage.getSimpleMessage( "tabArchive" ) %></TITLE>
	<SCRIPT Language="JavaScript">
		var pageContext="<%=context%>";
	</script>
<%
	TabToolbox.writeIMpopup(out);
	table.printScript(tparams, is, new String[]{ArchiveCheckbox.CHECKBOXNAME});
%>
	<script language="JavaScript">
<%--
		function Select_( pTF ) {
			var i;
			for ( i = 0; i < self.document.Batch.length; i++ ) {
				if ( self.document.Batch.elements[i].name == 'cStudy' ) {
					self.document.Batch.elements[i].checked = pTF;
				}
			}
		}
-- %>
		function forceRetrieve(device, study) {
			text = LocalizedMessage.getSimpleMessage( "ARCHIVE_INDEX_STUDY_RETRIEVED" );
			if (confirm(text)) {
				document.location="/archive/get.jsp?cDevStudy="+device+"+"+study;
			}
		}

		function doSubmit(page) {
			if (page) {
				self.document.Batch.action=page;
			}
			self.document.Batch.submit();
		}
	</script>
</HEAD>
<BODY>
<%
	TabToolbox.makeTabs(is, is.tabbean, "archive/index.jsp", "White");
	table.printTableTop(is);
	table.print(is);
%></CENTER>
<%--
<pre>
<%= result.getDebug() %>
</pre>
-- %>
</BODY></HTML>
--%>