function checkPassword( pwd ) {

	var hasnum = 0;
	var haslow = 0;
	var hasupp = 0;
	var hassym = 0;

	var i;
	for ( i = 0; i < pwd.length; i++ ) {
		cc = pwd.charCodeAt( i );

		if ( cc > 47 && cc < 58 )
			hasnum++;
		else if ( cc > 64 && cc < 91 )
			hasupp++;
		else if ( cc > 96 && cc < 123 )
			haslow++;
		else
			hassym++;

	}

	v = ( 1 + hasnum ) * ( 1 + hasupp ) * ( 1 + haslow ) * ( 1 + hassym ) / ( 3 * 3 * 3 * 3 ) / 0.6;

	return v;
};

function showPasswordStrength( field ) {
	var s = checkPassword( field.value );
	var s1 = s > 1 ? 1 : s;
	var pos = field.offsetWidth * s1;
	pos = Math.round( pos );
	var c = "red";
	//var v = "weak";

	if ( s >= 0.8 ) {
		c = "green";
		//v = "strong";
	}
	else if ( s > 0.4 ) {
		c = "yellow";
		//v = "medium";
	}
	// alert( field.offsetWidth + "x" + field.offsetHeight );
	// alert( "setting background-color to " + c );
	field.style.backgroundColor = c;
	// alert( "setting background-position to " + pos );
	field.style.backgroundPosition = pos + "px 0px";
	/*
	 * var ind = document.getElementById( "pwIndicator" ); ind.style.width = "" +
	 * s1 * 100 + "%"; ind.style.backgroundColor = c; ind.innerHTML = v + "&nbsp;" +
	 * Math.floor( s * 100 );
	 */

};

function writePasswordInput( fieldID, value ) {
	if( !value ) {
		value = "";
	}
	document.write( "<input name=\"" + fieldID + "\" id=\"" + fieldID + "\" value=\"" + value + "\" size=\"10\" maxlength=\"16\" type=\"password\"" + " onKeyUp=\"showPasswordStrength(this);\" style=\"background-image: url('/art/img/PwdBgWhite.gif'); " + "background-repeat: no-repeat; " + "background-origin: content-box; background-color: red\">" );
};
