<%@
	page errorPage="../main/exceptionHandler.jsp"

%><% throw new Exception("Unimplemented JSP");%>
<%--
 * Component: dotcom
 *
 * Description:
 *    Draws dotcom hierarchy.
 *
 * Last Updated     : $Author: pzahorcsek $
 * Update Date Time : $Date: 2014/03/05 15:36:08 $
 * RCS File Name    : $RCSfile: dotcomgraph.jsp,v $
 * RCS Revision     : $Revision: 1.6 $
 * Locked by        : $Locker:  $
 * Symbolic name    : $Name:  $
 * State            : $State: Exp $
 *
-- %><%@
	page import="imagemed.imsession.*, imagemed.util.*, imagemed.dotcom.*, java.util.*, java.io.*"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%

	IMSession is = new IMSession(request, response, out);
	is.bRegNotNeeded = false;
	is.bCheckHttpsAndRedirect = false;

%><HTML><HEAD><TITLE>Dotcom Hierarchy</TITLE>
<SCRIPT language="JavaScript">

   function popupwin_(device) {
			window.open('/dotcom/twopigraph.jsp?cDevice=' + device, 'popup_' + device,'width=700, height=700');
	}

</SCRIPT>

</HEAD><BODY><PRE>

<%

	String selfId = DotcomConfig.selfId();
	Map<String, Device> devices = DotcomConfig.getConfig().getDevices();

	FileWriter fileWriter = new FileWriter(IMEnvBase.getEnv("TMP") + "/dotcomgraph.dot");
	fileWriter.write("graph tdotcom {\n");

	for (Iterator<Device> e = devices.values().iterator() ; e.hasNext() ;) {
		Device d = e.next();
		String dDev = d.getId();
		String dDevice = dDev.replaceAll("-","_dash_");

		if (d instanceof DotcomDevice) {
			String filledAttr = (dDevice.equals(selfId)) ? "style = filled, fillcolor = lightgrey, " : "";
			DotcomDevice dd = (DotcomDevice) d;
			String backupSource = dd.getBackupSource();
			String backupTarget = dd.getBackupTarget();
			if( (backupSource != null) && (!filledAttr.equals("")) ){
				String bSourceDev = backupSource.replaceAll("-","_dash_");
				fileWriter.write(bSourceDev + " [shape = record, URL = \"" + bSourceDev + "\", color = black, style = \"diagonals,bold,filled\", fillcolor = yellow, label = \"<f0> " + bSourceDev + " \"]\n");
				fileWriter.write(dDevice + " -- " + bSourceDev + " [style=bold];\n{ rank = same; " + dDevice + " " + bSourceDev +" }\n");
			}else if( backupTarget != null ){
				String bTargetDev = backupTarget.replaceAll("-","_dash_");
				fileWriter.write(bTargetDev + " [shape = record, URL = \"" + bTargetDev + "\", color = grey, style = rounded, label = \"<f0> " + bTargetDev + " \"]\n");
				fileWriter.write(dDevice + " -- " + bTargetDev + " [style=dashed];\n{ rank = same; " + dDevice + " " + bTargetDev +" }\n");
			}
			String[] childr = dd.getChildren();
			for (int i = 0; i < childr.length; i++){
				String child = childr[i];
				String children = child.replaceAll("-","_dash_");
				fileWriter.write(dDevice + " -- " + children + ";\n");
			}
			fileWriter.write (dDevice + " [shape = record, URL = \"" + dDevice + "\", color = black, " + filledAttr + "label = \"<f0> " + dDevice + " \"]\n");
		}
	}

	fileWriter.write("}\n");
	fileWriter.close();

	String cmd[] = new String[6];
	cmd[0] = "dot";
	cmd[1] = "-T";
	cmd[2] = "png";
	cmd[3] = "-o";
	cmd[4] = IMEnvBase.getEnv("MAIN_DATA") + "/dotcomgraph.png";
	cmd[5] = IMEnvBase.getEnv("TMP") + "/dotcomgraph.dot";
	
	Helper.runCommand(cmd, null);

	String cmd2[] = new String[6];
	cmd2[0] = "dot";
	cmd2[1] = "-T";
	cmd2[2] = "cmap";
	cmd2[3] = "-o";
	cmd2[4] = IMEnvBase.getEnv("MAIN_DATA") + "/dotcomgraph.cmap";
	cmd2[5] = IMEnvBase.getEnv("TMP") + "/dotcomgraph.dot";

	Helper.runCommand(cmd2, null);
%>
</PRE>
<IMG SRC="/main/data/dotcomgraph.png" border=none usemap="#mapdotcom">
<MAP name="mapdotcom">
<%
	
	BufferedReader br = new BufferedReader(new FileReader(IMEnvBase.getEnv("MAIN_DATA") + "/dotcomgraph.cmap"));
	String cmapLine = null;
	while (null != (cmapLine = br.readLine())) {
		int posHref = cmapLine.indexOf("href");
		int p1 = cmapLine.indexOf("\"", posHref);
		int p2 = cmapLine.indexOf("\"", p1+1);
		String deviceId = cmapLine.substring(p1+1, p2);
		out.print(cmapLine.substring(0, p1 + 1));
		out.print("JavaScript:popupwin_('" + deviceId +"');");
		out.println(cmapLine.substring(p2));
	}
	br.close();

%>
</MAP>

</BODY></HTML>


--%>
