<%@
	page errorPage="../main/exceptionHandler.jsp"

%><% throw new Exception("Unimplemented JSP");%>
<%--
 ** Component: imadmin
 **
 ** Description:
 **  Show and set Server settings
 **
 ** @verbatim
 ** Parameters
 **
 **  Operation Parameters:
 **
 **   @param p_op    config operation {'Save and Restart' | 'Restart' |
 **                                    'Change' | 'SaveHL7' | 'Format' }
 **   @param p_op_sr	->alias for p_op = 'Save and Restart'
 **   @param p_op_r		->alias for p_op = 'Restart'
 **   @param p_op_c		->alias for p_op = 'Change'
 **   @param p_op_s		->alias for p_op = 'SaveHL7'
 **   @param p_op_f		->alias for p_op = 'Format'
 **   @param s_op    Change security settings {'Change'}
 **   @param r_op    Change purge settings {'Change'}
 **   @param d_op    Change disk settings {'Change'}
 **   @param i_op    Change institution settings {'Change'}
 **   @param ip_op   Change local IP settings {'Change'}
 **   @param e_op    Change editing defaults {'Change'}
 **   @param nd_op   Change normality defaults {'Change'}
 **   @param slo_op   Change SuppressLocalOnly {'Change'}
 **   @param pt_op   Change productType {'Change'}
 **		@param cp_op		Change Changed presentation mode {'Change'}
 **		@param site_op	Change site specific settings {'Change'}
 **
 **  Operation Specific Parameters
 **
 **     p_op == 'Save and Restart' : Saves settings for DICOM server and restart it
 **
 **  @param port          TCP port the DICOM server listen on
 **  @param portTLS       TLS port the DICOM server listen on
 **  @param pdu           Default PDU size accepted
 **  @param ae            AE_TITLE of the DICOM server
 **  @param arch          Archive AE TITLE
 **  @param ts            Preferred Transfer Syntax
 **  @param recvto        Default receive timeout
 **  @param sendto        Default send timeout
 **  @param cbQRcaseMode  Existence of the parameter means that QR find is case sensitive
 **  @param cbQRemptyMatching  Existence of the parameter means that QR find also returns empty and NULL values
 **
 **    p_op  == 'Change' : Change Secure Mode / Inactivity timeout
 **
 **  @param vSecure       Secure Mode HTTP/HTTPS
 **  @param vTimeout      Inactivity timeout (0 == infinite)
 **
 **    p_op == 'SaveHL7' : Save HL7 settings
 **
 **  @param hl7Toggle         Is HL7 turned on or not
 **  @param hl7Port           HL7 server port to listen on
 **  @param hl7AppID          Application Entity ID of HL7 server
 **  @param hl7FacID          Facility Entity ID of HL7 server
 **  @param hl7SendCompleted  Indicates whether completed order messages should always be sent or not
 **  @param hl7PatientUpdate  Allow applying patient updates to studies newer than patientUpdate days
 **  @param hl7ApplyTzOffset  Indicates whether hl7 time zone offset is used or not
 **
 **    p_op == 'Restart' : Restart component
 **
 **  @param p_cmp        Component to be restarted
 **
 **    p_op == 'Format'  : Change Date/Time format
 **
 **  @param dateTag0     1st date format tag
 **  @param dateSep1     Separator tag between 1st and 2nd date format tag
 **  @param dateTag2     2nd date format tag
 **  @param dateSep3     Separator tag between 2nd and 3rd date format tag
 **  @param dateTag4     3rd date format tag
 **  @param timeTag      Time format tag
 **  @param intervalTag  Interval format tag
 **
 **    s_op == 'Change' : Change Set curl / lock timeout
 **
 **  @param curlTimeout  Curl Timeout
 **  @param lTimeout     Lock Timeout
 **
 **    r_op == 'Change' : Change purge settings
 **
 **  @param order        Purge settings for orders
 **  @param final        Purge settings for final studies
 **  @param study        Purge settings for any study
 **  @param limit        Purge limit (do not purge studies younger than this)
 **
 **    d_op == 'Change' : Change disk settings
 **
 **  @param freelimit    Minimal free disk space (percent)
 **  @param mincache     Minimal cache size (percent)
 **
 **    i_op == 'Change' : Change institution info
 **
 **  @param institution  Institution information
 **
 **    ip_op == 'Change' : Change local IP Configuration
 **
 **  @param localIPs     Local IP address mask(s)
 **
 **    e_op == 'Change' : Change editing defaults
 **
 **  @param editMode          default edit mode
 **  @param correctionMode    correction mode
 **
 **    nd_op == 'Change' : Change normality defaults
 **
 **  @param normalByDefault   		set the default (in editors) to normal if present with the value of "true"
 **  @param showNormality		   		enable showing normality indication on report panels if present with the value of "true"
 **  @param unknownIsShownNormal  set the default (on the worklist) to normal if present with the value of "true" (currently disabled feature)
 **  @param normalValue				 		set the displayed value of normal state to this
 **  @param abnormalValue		   		set the displayed value of abnormal state to this
 **  @param cRPClearDelims				enable automatic clearing of variable delimiters on report sending
 **  @param cRPMarkerBegin				Heading delimiter
 **  @param cRPMarkerEnd				Trailing delimiter
 **
 **    slo_op == 'Change' : Change SuppressNormalOnly
 **
 **  @param suppressLocalOnly   set the SuppressLocalOnly to false is present with the value of "false"
 **
 **    pt_op == 'Change' : Change productType
 **
 **  @param productType   set the productType to this value
 **
 **    cp_op == 'Change' : Change Changed Presentation
 **
 **  @param changedIndicationMode   set the Changed Presentation Mode to this value
 **
 **    site_op == 'Change' : Change Stite Specific settings
 **
 **  @param siteID   set the site ID to this value
 **
 ** @endverbatim
 **
 ** $Author$
 ** $Date$
 **
 *
 *  RCS File Name    : $RCSfile$
 *  RCS Revision     : $Revision$
 *  Locked by        : $Locker$
 *  Symbolic name    : $Name$
 *  State            : $State$
-- %><%@page import="com.erad.pacs.app.broker.table.internals.imtables.CollectedLogsResultImpl"%>
<%@page import="com.erad.pacs.common.types.ThemeManagerBase"%>
<%@
	page errorPage ="../main/exceptionHandler.jsp"

%><%@
	page import="imagemed.util.*, imagemed.imsession.*, imagemed.http.tabs.*, imagemed.exception.*,
			imagemed.jsputil.*,imagemed.types.*,imagemed.types.string.*,imagemed.types.enumeration.*,imagemed.http.*"

%><%!
static String thisPage = "/imadmin/dicomsrv.jsp";
%><%

	// ----- Input Parameter(s) -----

	IMSession is = new IMSession( request, response, out );
	if ( !is.regOK() ) {
		return;
	}
	is.setNonCacheable();
	
//	out.println("<!--"+Helper.request2String(request)+"-->");
	String parPOp;    // p_op
	                  // ts, pdu, ae [, port]
	                  // recvto, sendto
	                  // vSecure, vTimeout, checkLicense
	String parSOp;    // s_op : saving system properties
	                  // lTimeout
	String parPCmp;   // p_cmp // if p_op == Restart
	String parROp;    // r_op
	                  // other, purge
	String parIOp;    // i_op
	                  // institution
	String parIPOp;   // ip_op
	                  // local IPs
	String parDOp;    // d_op
	                  // disk usage option
	String parEOp;    // e_op
	                  // default Edit / Merge settings
	String parNDOp;   // nd_op
	                  // normality default settings
	String parSLOOp;   // slo_op
	                  // supress local only settings
	String parPTOp;   // pt_op
	                  // product type settings
	String parCPOp;   // cp_op
	                  // changed presentation settings

	parPOp = is.getButtonParam( "p_op" );
	if ( parPOp == null ) { // check for aliases
		if ( is.getButtonParam( "p_op_sr" ) != null ) {
			parPOp = "Save and Restart";
		}
		else if ( is.getButtonParam( "p_op_r" ) != null ) {
			parPOp = "Restart";
		}
		else if ( is.getButtonParam( "p_op_c" ) != null ) {
			parPOp = "Change";
		}
		else if ( is.getButtonParam( "p_op_s" ) != null ) {
			parPOp = "SaveHL7";
		}
		else if ( is.getButtonParam( "p_op_f" ) != null ) {
			parPOp = "Format";
		}
	}
	parPCmp  = is.getButtonParam( "p_cmp" );
	parROp   = is.getButtonParam( "r_op" );
	parIOp   = is.getButtonParam( "i_op" );
	parIPOp  = is.getButtonParam( "ip_op" );
	parDOp   = is.getButtonParam( "d_op" );
	parSOp   = is.getButtonParam( "s_op" );
	parEOp   = is.getButtonParam( "e_op" );
	parNDOp  = is.getButtonParam( "nd_op" );
	parSLOOp = is.getButtonParam( "slo_op" );
	parPTOp  = is.getButtonParam( "pt_op" );
	parCPOp  = is.getButtonParam( "cp_op" );

	String parUser = null;
	Syslog slog = new Syslog( "dicomsrv", 0 , IMEnvBase.getEnv( "LOG_OPER_FACILITY" ) );
	Defs casesDefs = new Defs( is, parUser );
				
	if ( "Change".equals( parPTOp ) && is.regRights.indexOf( "@" ) != -1 ) {
		IMProperties.setValueInFile(IMEnv.GUI_CONF, "ProductName", request.getParameter("productType"));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverproduct" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_PRODUCT_TYPE, request.getParameter( "productType" ) );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverproduct "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(request.getParameter("productType")) +" - - - - - - - - - - - -");
	}

%><%@page import="imagemed.scheduler.SchedulerInterface"%>
<%@page import="imagemed.types.number.IMTypeDateTimeInterval"%>

<%@page import="imagemed.types.flag.IMTypeur"%>
<%@page import="imagemed.types.number.IMTypeAM"%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="com.erad.pacs.app.broker.table.internals.*,com.erad.pacs.app.broker.table.internals.imtables.*, com.erad.pacs.app.broker.table.internals.action.*,
			com.erad.pacs.app.broker.table.internals.lists.*, com.erad.pacs.app.broker.table.internals.imtables.DBLDSWrapperSqlResultImpl.IncrementalContextImpl"
%>
<%
	TabToolbox.writeIMpopup(out);
	TableImpl.printCommonScript(is);
	JSHelper.printJsInclude( out, JSHelper.SETTINGSSCRIPTS_JS );
%>
</HEAD>
<BODY>
<%
	//out.println("<!--"+Helper.request2String(request)+"-->");
	//Undocumented feature
	if ( "checkLicense".equals(parPOp) ) {
		// using: "http://lena.hu.imagemedical.com:8080/imadmin/dicomsrv.jsp?p_op=checkLicense" into browser URL
		final boolean forceCheck = true;
		TabBean tb = new TabBean();
		tb.writeHeader( is, "White", forceCheck, false );
		is.out.println("</BODY></HTML>");
		is.response.sendRedirect( is.httpx_host + "/imadmin/dicomsrv.jsp" );
		return;
	}

	TabToolbox.makeTabs( is, is.tabbean, "imadmin/dicomsrv.jsp", "White");

	if (!is.hasRight( PacsRight.Admin.letterString() + PacsRight.Support.letterString() + PacsRight.SupportRightForSupportUser.letterString() ) ) {
%>
<BR>
<CENTER><H3>
<%=LocalizedMessage.getSimpleMessage( "NO_PERMISSION_TO_THIS_PAGE" )%>
</H3></CENTER></BODY></HTML>
<%
	return;
	}

	boolean isRestricted = is.regRights.indexOf( "@" ) == -1;

	IMProperties prpSystem = DicomSrvToolbox.readSystemRec();

	// *** HL7 server config
	IMProperties hl7Cfg = DicomSrvToolbox.readHL7Config();

	/*
	 *  Dicom server config
	 */

	if ( "change".equals( is.getButtonParam( "p_plugins" ) ) ) {
		PluginToolbox.processEditorForm( new IMRequest( request ) );
	}

	if ( "change".equals( is.getButtonParam( "p_main_plugins" ) ) ) {
		PluginToolbox.processMainPluginForm( new IMRequest( request ) );
	}

	if ( parPOp != null ) {
		if ( parPOp.equals( "Save and restart" ) ) {
	if ( isRestricted ) {
		throw new IMException( LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_RIGHTS_OPERATION" ) );
	}
	try {
		DicomSrvToolbox.saveConfQR( is, request, casesDefs.getUser(), slog );
	}
	catch ( IMException imEx ) {
		throw new IMGeneralException( imEx.getMessage(), "imadmin/dicomsrv.jsp", LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_DICOM_SERVER_CONFIG_ERROR" ), null );
	}
				
	// *** force restart ***
	parPOp = "Restart";
	parPCmp = "dicom";
		} // Save and restart

		if ( parPOp.equals( "RestartHL7" ) ) {
	// Recollect Dotcom Information and restart HL7

	try {
		imagemed.dotcom.DotcomConfig.reCollect( is.out, null );
	}
	catch (Throwable th) {
		MessageBox mb = new MessageBox( LocalizedMessage.getSimpleMessage( "GENERAL_ERROR_TITLE" ) + "!", "70%" );
		mb.setMessage("<BR><BR>" + LocalizedMessage.getSimpleMessage( "EXCEPTION_COULD_NOT_COLLECT_DOTCOM_DATA" ) + "<BR><BR><BR>" + th.toString());
		mb.addButton(new Button("dicom.jsp","BUTTON_OK","BUTTON_OK"));
		out.println( "<CENTER>" );
		mb.print(is.out);
		out.println( "</CENTER></BODY></HTML>" );
		return;
	}
	
	// force restart
	parPOp = "Restart";
	parPCmp = "hl7";
		}
		
		/*
		 *  Component restart
		 */

		if (parPOp.equals("Restart")) {
	OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "componentrestart" );
	logEntry.setField( OperLogEntry.FIELD.COMPONENT_RESTART, parPCmp );
	logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );

	try {
		DicomSrvToolbox.restart(parPCmp);
		
		logEntry.log( is, slog, Syslog.LOG_INFO );

//				slog.syslog(Syslog.LOG_INFO, "INFO ADMIN componentrestart "+ casesDefs.getUser() +" "+ Syslog.logValue(parPCmp));
	}
	catch( Throwable e ) {
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, "FAILED: " + e.getMessage() );
		logEntry.log( is, slog, Syslog.LOG_ERR );

//				slog.syslog(Syslog.LOG_ERR, "ERROR ADMIN componentrestart "+ casesDefs.getUser() +" error");
%>Exception: <%= e.getMessage() %><BR><%
	}
		} // Restart

		if (parPOp.equals("Change")) {
	
	IMProperties passRules = new IMProperties();
	passRules.setProperty( "strength", request.getParameter( "pwStrength" ) );
	
	String length = request.getParameter( "pwLength" );
	try {
		Integer.parseInt(length);
	}
	catch (Throwable th) {
		length = "0";
	}
	passRules.setProperty( "minimumlength", length );
	
	String[] passBits = { "useupper", "uselower", "usenumeric" };
	for ( int i = 0; i < 3; i++ ) {
		passRules.setProperty(passBits[i], is.imRequest.getVal("pwBit" + i, "false" ) );
	}
	passRules.recWrite( IMEnvBase.getEnv( "CONF" ) + "/passwd.conf" );
	
	String secure  = is.request.getParameter("vSecure");
	String timeout = is.request.getParameter("vTimeout");
	DicomSrvToolbox.saveSecurityRec(secure, timeout);
	
	OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serversecurity" );

			String newAuthAgent = is.request.getParameter( IMAdminToolbox.SYS_AUTH_TARGET+"_g" );
			if ( newAuthAgent != null && !newAuthAgent.equals( IMAdminToolbox.getSysAuthTarget() ) ) {
				IMAdminToolbox.setSysAuthTarget( newAuthAgent );
				logEntry.setField( OperLogEntry.FIELD.SERVER_SECURITY_AUTH_AGENT, newAuthAgent );
			}
			
	logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
	logEntry.setField( OperLogEntry.FIELD.SERVER_SECURITY_ONOFF, secure );
	logEntry.setField( OperLogEntry.FIELD.SERVER_SECURITY_INACTIVITY_TIMEOUT, timeout );
	logEntry.log( is, slog, Syslog.LOG_INFO );

//			slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serversecurity "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - "+ Syslog.logValue(secure) +" "+ Syslog.logValue(timeout) +" - - - - - - - - - - - - - - - -");
		} // Change

		if ( "SaveHL7".equals( parPOp ) ) {
	if ( isRestricted ) {
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverhl7" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "no right" );
		logEntry.log( is, slog, Syslog.LOG_ERR );

//				slog.syslog( Syslog.LOG_ERR, "ERROR ADMIN serverhl7 "+ casesDefs.getUser() + " - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - " + Syslog.logValue( "no right" ) );
		throw new IMException( LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_RIGHTS_OPERATION" ) );
	}
	String hl7Toggle = is.request.getParameter( "hl7Toggle" );
	String hl7Port = is.request.getParameter( "hl7Port" );
	String localAppID = is.request.getParameter( "hl7AppID" );
	String localFacID = is.request.getParameter( "hl7FacID" );
	String sendCompleted = is.request.getParameter( "hl7SendCompleted" );
	String patientUpdateDays = is.request.getParameter( "hl7PatientUpdate" );
			String applyTzOffset = is.request.getParameter("hl7ApplyTzOffset");

			if ( DicomSrvToolbox.saveHL7Config( hl7Toggle, hl7Port, localAppID, localFacID, sendCompleted, patientUpdateDays, applyTzOffset ) ) {
		// The HL7 settings were changed
		
		// TODO: Add sendCompleted and patientUpdateDays to log entries
		// TODO: move log entry creation to DicomSrvToolbox.saveHL7Config()
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverhl7" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_HL7_ONOFF, hl7Toggle );
		logEntry.setField( OperLogEntry.FIELD.SERVER_HL7_PORT, hl7Port );
		logEntry.setField( OperLogEntry.FIELD.SERVER_HL7_APPID, localAppID );
		logEntry.setField( OperLogEntry.FIELD.SERVER_HL7_FACID, localFacID );
				logEntry.setField( OperLogEntry.FIELD.SERVER_HL7_APPLYTZ, applyTzOffset );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//				slog.syslog( Syslog.LOG_INFO, "INFO ADMIN serverhl7 " + casesDefs.getUser() + " - - - - - - - - - - - " + Syslog.logValue( hl7Toggle ) + " " + Syslog.logValue( hl7Port ) + " " + Syslog.logValue( localAppID ) + " " + Syslog.logValue( localFacID ) + " - - - - - - - - - - - - - - - - - - -" );
		
		out.println( "<FORM NAME=\"hl7Confirm\" METHOD=\"POST\">" );
		out.println( "<INPUT TYPE=\"HIDDEN\" NAME=\"p_op\" VALUE=\"RestartHL7\">" );
		out.println( "</FORM>" );
		
		MessageBox mb = new MessageBox( LocalizedMessage.getSimpleMessage( "HL7_CONFIG_CHANGED_TITLE" ), "60%" );
		StringBuilder sb = new StringBuilder();
		LocalizedMessage.appendSimpleMessage( sb, "HL7_CONFIG_CHANGED_MSG" );
		sb.append( "<BR><BR>" );
		LocalizedMessage.appendSimpleMessage( sb, "HL7_CONFIG_CHANGED_RESTART" );
		
		mb.setMessage( sb.toString() );
		mb.addButton( new Button( "javascript:self.document.hl7Confirm.submit()", "BUTTON_RESTART", "BUTTON_RESTART_HL7_TITLE" ) );
		mb.addButton( new Button( "javascript:self.history.back()", "BUTTON_CANCEL", "BUTTON_CANCEL_HL7_TITLE" ) );

		out.println( "<CENTER>" );
		mb.print( is.out );
		out.println( "</CENTER></BODY></HTML>" );
		return;
	}
	
	hl7Cfg = DicomSrvToolbox.readHL7Config();
		} // SaveHL7
	} // parOp != null

	// Saving system properties

	if ("Change".equals(parSOp)) {
		String strLockTimeout = request.getParameter("lTimeout");
		String strCurlTimeout = request.getParameter("curlTimeout");
		if (isRestricted) {
	strCurlTimeout = prpSystem.getProperty("CURL_TIMEOUT", "150");
		}
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "servertimer" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_TIMER_LOCK_TIMEOUT, strLockTimeout );
		logEntry.setField( OperLogEntry.FIELD.SERVER_TIMER_CURL_TIMEOUT, strCurlTimeout );

		try {
	DicomSrvToolbox.saveSystemRec(strLockTimeout, strCurlTimeout);
	logEntry.log( is, slog, Syslog.LOG_INFO );

//			slog.syslog(Syslog.LOG_INFO, "INFO ADMIN servertimer "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(strLockTimeout) +" "+ Syslog.logValue(strCurlTimeout) +" - - -");
		}
		catch(IMException th) {
	logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "error occured" );
	logEntry.log( is, slog, Syslog.LOG_ERR );

//			slog.syslog(Syslog.LOG_ERR, "ERROR ADMIN servertimer "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(strLockTimeout) +" "+ Syslog.logValue(strCurlTimeout) +" - - "+ Syslog.logValue("error occured"));
		}
		prpSystem = DicomSrvToolbox.readSystemRec();
	} // SOp == Change

	if ("true".equals(is.request.getParameter("cNameFormat"))) {
		SchedulerInterface.setNewAdminVersion();
		IMTypePN type = (IMTypePN) IMType.getTypeFor("PN");
		String[] listFormat = IMTypePN.getNameFormat(is, IMTypePN.LISTNAMEFORMAT);
		String[] defaultFormat = IMTypePN.getNameFormat(is, IMTypePN.DEFAULTNAMEFORMAT);
		for (int i = 0; i < 10; i++) {
	listFormat[i] = is.request.getParameter("lpart" + i);
	if (listFormat[i] == null) {
		listFormat[i] = "";
	}
	defaultFormat[i] = is.request.getParameter("dpart" + i);
	if (defaultFormat[i] == null) {
		defaultFormat[i] = "";
	}
		}
		type.setNameFormat(is, IMTypePN.LISTNAMEFORMAT, listFormat);
		type.setNameFormat(is, IMTypePN.DEFAULTNAMEFORMAT, defaultFormat);
		IMProperties.setValueInFile(IMEnv.GUI_CONF, "UsePersonNameFilter", 
	is.request.getParameter("cUsePersonNameFilter"));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "servernameformat" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	}

	
	if ("AmountFormat".equals(parPOp)) { // amount format changed
		String aFormat=is.request.getParameter("amountTag");
		String aPre = is.request.getParameter("amountPre");
		String aPost = is.request.getParameter("amountPost");
		Helper.writeTextFile( IMTypeAM.getConfigFileName(is),	aPre + "\n" + aFormat + "\n" + aPost + "\n" );
		IMTypeAM.readFormat(is);
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serveramountformat" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == AmountFormat 

	
	if ("FaxFormat".equals(parPOp)) { // fax settings changed
		String faxnumberprefix = is.request.getParameter("faxnumberprefix");
		if( faxnumberprefix == null || "null".equals( faxnumberprefix ) ) {
	faxnumberprefix = "";
		}
		String drivername = is.request.getParameter("drivername");
		if( drivername == null || "null".equals( drivername ) ) {
	drivername = "";
		}
		IMProperties faxProps = new IMProperties();
		faxProps.recRead( IMEnvBase.getEnv( "CONF" ) + "/fax.conf" );
		
		String change = Helper.propertyChanged( faxProps, "faxnumberprefix", faxnumberprefix );
		change += " " + Helper.propertyChanged( faxProps, "drivername", drivername );
		
		faxProps.setProperty( "faxnumberprefix", faxnumberprefix );
		faxProps.setProperty( "drivername", drivername );
		faxProps.recWrite( IMEnvBase.getEnv( "CONF" ) + "/fax.conf" );
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverfaxformat" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.CHANGES, change );
		logEntry.log( is, slog, Syslog.LOG_INFO );

	} // POp == FaxFormat 

	
	if ("ScanFormat".equals(parPOp)) { // scan settings changed
		String targettype = is.request.getParameter("targettype");
		if( targettype == null || "null".equals( targettype ) ) {
	targettype = "";
		}
		String settings = is.request.getParameter("settings");
		if( settings == null || "null".equals( settings ) ) {
	settings = "";
		}
		String comp = is.request.getParameter("jpgcompression");
		if( comp == null || "null".equals( comp ) ) {
	comp = "";
		}
		IMProperties scanProps = new IMProperties();
		scanProps.recRead( IMEnvBase.getEnv( "CONF" ) + "/scan.conf" );
		
		String change = Helper.propertyChanged( scanProps, "targettype", targettype );
		change += " " + Helper.propertyChanged( scanProps, "settings", settings );
		change += " " + Helper.propertyChanged( scanProps, "jpgcompression", comp );
		
		scanProps.setProperty( "targettype", targettype );
		scanProps.setProperty( "settings", settings );
		scanProps.setProperty( "jpgcompression", comp );
		scanProps.recWrite( IMEnvBase.getEnv( "CONF" ) + "/scan.conf" );
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverscansettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some scan settings - " + change );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == ScanFormat 

	
	if ("LogFormat".equals(parPOp)) { // log settings changed
		String limit = is.request.getParameter("collectlimit");
		if( limit == null || "null".equals( limit ) ) {
	limit = "";
		}
		IMProperties scanProps = new IMProperties();
		scanProps.recRead( IMEnvBase.getEnv( "CONF" ) + "/log.conf" );
		
		String change = Helper.propertyChanged( scanProps, "collectlimit", limit );

		scanProps.setProperty( "collectlimit", limit );
		scanProps.recWrite( IMEnvBase.getEnv( "CONF" ) + "/log.conf" );
		CollectedLogsResultImpl.refreshRowLimit();
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverlogsettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some log settings - " + change );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == LogFormat 

	
	if ("LocationFormat".equals(parPOp)) { // location settings changed
		String enable = is.request.getParameter("locationenabled");
		IMProperties props = new IMProperties();
		String locFileName = IMEnvBase.getEnv( "CONF" ) + "/location.conf"; 
		props.recRead( locFileName );
		
		String change = Helper.propertyChanged( props, "enabled", enable );

		props.setProperty( "enabled", enable );
		props.recWrite( locFileName );
		
		DotcomToolbox.proliferateFile( locFileName );

		// if not enabled any more, set to 'No location' in Session
		if( !LocationToolbox.isLocationNeeded( is.regID ) ) {
			is.setLocation( LocationToolbox.LOCID_OTHER );
		}
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverlogsettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some location settings - " + change );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == LogFormat 
	
	
	if ("RadarFormat".equals(parPOp)) { // radar settings changed
		String groupID = is.request.getParameter("radargroupid");
		if( groupID == null || "null".equals( groupID ) ) {
	groupID = "";
		}
		IMProperties props = new IMProperties();
		props.recRead( IMEnvBase.getEnv( "CONF" ) + "/radarsettings.conf" );
		
		String change = Helper.propertyChanged( props, "radargroupid", groupID );
		
		props.setProperty( "radargroupid", groupID );
		String radarFilename  = IMEnvBase.getEnv( "CONF" ) + "/radarsettings.conf";
		props.recWrite( radarFilename );
		
		DotcomToolbox.proliferateFile( radarFilename );
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverradarsettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some Radar CTRM settings - " + change );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == RadarFormat 
	
	
	if ("LanguageFormat".equals(parPOp)) { // language settings changed
		String def = is.request.getParameter("default");
		if( def == null || "null".equals( def ) ) {
	def = "enUS";
		}
		IMProperties langProps = new IMProperties();
		
		langProps.recRead( IMEnvBase.getEnv( "CONF" ) + "/langsettings.conf" );
		
		String change = Helper.propertyChanged( langProps, "default", def );

		langProps.setProperty( "default", def );
		String langFileName = IMEnvBase.getEnv( "CONF" ) + "/langsettings.conf"; 
		langProps.recWrite( langFileName );
		
		DotcomToolbox.proliferateFile( langFileName );
//		DotcomToolbox.proliferateFile( langFileName, IMEnvBase.getEnv( "CASES_HOME" ) + "/registercalc.sh", new String[] { "-c", operField } );

		LocalizedMessage.getDefaultLocale();

		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverlanguagesettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some language settings - " + change );
		logEntry.log( is, slog, Syslog.LOG_INFO );

		//redirect to this page to change language at once
		response.sendRedirect(thisPage);
		return;
	} 
	

	if ("ScanDemogChanged".equals(parPOp)) { // scan demographics data changed
		String dataStudy = is.request.getParameter("scandemogstudy");
		Helper.writeTextFile( IMEnvBase.getEnv( "CONF" ) + "/scandemogstudy.conf", dataStudy );
		if ( TabBean.hasSchedulerLicense(is) ) {
	String dataOrder = is.request.getParameter("scandemogorder");
	Helper.writeTextFile( IMEnvBase.getEnv( "CONF" ) + "/scandemogorder.conf", dataOrder );
	String dataPatient = is.request.getParameter("scandemogpatient");
	Helper.writeTextFile( IMEnvBase.getEnv( "CONF" ) + "/scandemogpatient.conf", dataPatient );
		}
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverscansettings" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some scan demographics settings" );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == ScanDemogChanged

	
	if ("UserActionsChanged".equals(parPOp)) { // user action names changed
		String data = is.request.getParameter("useractions");
		Helper.writeTextFile( IMEnvBase.getEnv( "CONF" ) + "/useractions.conf", data );
		
		IMTypeACTN.calcActions();
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serveruseractions" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed some user actions" );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == UserActionsChanged

	
	
	if ("Format".equals(parPOp)) { // date format changed
		SchedulerInterface.setNewAdminVersion();
		String strFormat = Helper.readTextFile( IMEnvBase.getEnv("CONF") + "/dateformat.cfg" );
		String[] dFormat = imagemed.types.date.IMTypeDA.divideFormatStr(strFormat);

		String tFormat = Helper.readTextFile( IMEnvBase.getEnv("CONF") + "/timeformat.cfg" );
		if (tFormat==null) {
	tFormat="hh:mm:ss";
		}
		if (tFormat.length() < 5 ) {
	tFormat="";
		}
		else if (tFormat.length() < 8) {
	tFormat="hh:mm";
		}
		else {
	tFormat="hh:mm:ss";
		}
		
		String iFormat = Helper.readTextFile( IMTypeDateTimeInterval.getConfigFileName() );
		if (iFormat==null) {
	iFormat=IMTypeDateTimeInterval.DEFAULTFORMAT;
		}

		String t1,s1,t2,s2,t3;
		dFormat[0] = is.request.getParameter("dateTag0");
		dFormat[1] = is.request.getParameter("dateSep1");
		dFormat[2] = is.request.getParameter("dateTag2");
		dFormat[3] = is.request.getParameter("dateSep3");
		dFormat[4] = is.request.getParameter("dateTag4");

		if (dFormat[0].equals(" ")) {
	dFormat[0] = "";
		}
		if (dFormat[2].equals(" ")) {
	dFormat[2] = "";
		}
		if (dFormat[4].equals(" ")) {
	dFormat[4] = "";
		}
		Helper.writeTextFile( IMEnvBase.getEnv("CONF") + "/dateformat.cfg",
		dFormat[0]+dFormat[1]+dFormat[2]+dFormat[3]+dFormat[4] );

		tFormat=is.request.getParameter("timeTag");

		Helper.writeTextFile( IMEnvBase.getEnv("CONF") + "/timeformat.cfg",	tFormat);
		imagemed.types.date.IMTypeDA.readFormat(is);
		imagemed.types.date.IMTypeTM.readFormat(is);
		
		iFormat=is.request.getParameter("intervalTag");
		Helper.writeTextFile( IMTypeDateTimeInterval.getConfigFileName(),	iFormat);
		IMTypeDateTimeInterval.readFormat(is);
		
		DicomSrvToolbox.setFirstDayOfWeek( Integer.parseInt( is.request.getParameter("firstDayOfWeek")));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverdateformat" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed the date format" );
		logEntry.log( is, slog, Syslog.LOG_INFO );
	} // POp == Format (date format changed)

	if ("Change".equals(parEOp)) {
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "servercorrection" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );

/* removed - profileuser setting can be altered by admin 		
		if (isRestricted) {
	logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "no rights" );
	logEntry.log( slog, Syslog.LOG_ERR );

//			slog.syslog(Syslog.LOG_ERR, "ERROR ADMIN servercorrection "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue("no rights"));
	throw new IMException( LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_RIGHTS_OPERATION" ) );
		}
*/

		String editMode = request.getParameter("editMode");
		String correctionMode = request.getParameter("correctionMode");
		String editShortcuts = request.getParameter("editShortcuts");
		String deleteMode = request.getParameter( "deleteMode" );

		DicomSrvToolbox.saveEditCfg( editMode, correctionMode, editShortcuts, deleteMode );
		
		String maxProcesses = request.getParameter( "burnMaxProcess" );
		String maxIsoImages = request.getParameter( "burnMaxIsoImage" );
		String maxSpace = request.getParameter( "burnMaxSpace" );
		String expired = request.getParameter( "burnExpired" );
		String profileUser = request.getParameter( "profileUser" );
		DicomSrvToolbox.saveBurnCfg( maxProcesses, maxIsoImages, maxSpace, expired, profileUser );
		
		logEntry.setField( OperLogEntry.FIELD.SERVER_CORRECTION_EDIT_MODE, editMode );
		logEntry.setField( OperLogEntry.FIELD.SERVER_CORRECTION_CORRECTION_MODE, correctionMode );
		logEntry.setField( OperLogEntry.FIELD.SERVER_STUDY_DELETE_MODE, deleteMode );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN servercorrection "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(editMode) +" "+ Syslog.logValue(correctionMode) +" -");
	} // EOp == Change

	if ("Change".equals(parNDOp)) {
		String editorOld = IMProperties.readValueFromFile( IMEnv.GUI_CONF, "reportEditor", "" );
		String editorNew = request.getParameter( "reportEditor" );
		IMProperties.setValueInFile( IMEnv.GUI_CONF, "reportEditor", editorNew );
		
		IMTypeni.setNormalityLabel(request.getParameter(IMTypeni.NORMALITYLABEL));
		IMTypeni.setNormalByDefault("true".equals(request.getParameter("normalByDefault")));
		IMTypeni.setNormalityShown("true".equals(request.getParameter("showNormality")));
		//IMTypeni.setUnknownNormal("true".equals(request.getParameter("unknownIsShownNormal")));
		//IMTypeni.setNormalValue(request.getParameter("normalValue"));
		//IMTypeni.setAbnormalValue(request.getParameter("abnormalValue"));

		String rpcFileName = UserPreferences.getDefaultConfigFileName( ReportFunctions.DOCLEARMARKERS );
		IMProperties imp = new IMProperties();
		imp.recRead( rpcFileName );
		String doClearMarkers = "" + ( "true".equals( request.getParameter( "cRPClearDelims" ) ) );
		imp.setProperty( ReportFunctions.DOCLEARMARKERS, doClearMarkers );
		String markerBegin =  request.getParameter("cRPMarkerBegin");
		imp.setProperty( ReportFunctions.MARKERBEGIN, markerBegin);
		String markerEnd = request.getParameter("cRPMarkerEnd") ;
		imp.setProperty( ReportFunctions.MARKEREND, markerEnd);
		imp.recWrite( rpcFileName );
		DotcomToolbox.proliferateFile( rpcFileName );


		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "servernormality" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_NORMALITY_STATE, request.getParameter( IMTypeni.NORMALITYLABEL ) );
		logEntry.setField( OperLogEntry.FIELD.SERVER_NORMALITY_REPORT, request.getParameter( "normalByDefault" ) );
		logEntry.setField( OperLogEntry.FIELD.SERVER_NORMALITY_DEFAULT, request.getParameter( "showNormality" ) );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REPORTPANEL_DELIMCLEANUP, doClearMarkers );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REPORTPANEL_MARKERBEGIN, markerBegin );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REPORTPANEL_MARKEREND, markerEnd );
		logEntry.log( is, slog, Syslog.LOG_INFO );

		if( !editorOld.equals( editorNew )) {
			OperLogEntry logEntry2 = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverreporteditor" );
			logEntry2.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
			logEntry2.setField( OperLogEntry.FIELD.MESSAGE, casesDefs.getUser() + " changed the default report editor to " + editorNew );
			logEntry2.log( is, slog, Syslog.LOG_INFO );

		}
		
//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN servernormality "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(request.getParameter(IMTypeni.NORMALITYLABEL)) +" "+ Syslog.logValue(request.getParameter("normalByDefault")) +" "+ Syslog.logValue(request.getParameter("showNormality")) +" - - - - - - - - -");
	}

	if ("Change".equals(parSLOOp)) {
		IMProperties.setValueInFile(IMEnv.GUI_CONF, "SuppressLocalOnly", ("false".equals(request.getParameter("suppressLocalOnly"))?"false":"true"));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverpriors" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_PRIOR_LOCALONLY, request.getParameter( "suppressLocalOnly" ) );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverpriors "+ casesDefs.getUser() +" - - - - - - - - - - "+ Syslog.logValue(request.getParameter("suppressLocalOnly")) + " - - - - - - - - - - - - - - - - - - - - - - -");
	}

	if ("Change".equals(parCPOp) && is.regRights.indexOf("@") > -1) {
		IMTypeCHGD.setChangedPresentation(request.getParameter("changedIndicationMode"));
	}
	
	if ("Change".equals(is.getButtonParam("site_op"))) {
		DicomSrvToolbox.saveSiteCfg(is, slog);
	}

	if ("Change".equals(parROp)) {
		if (isRestricted) {
	OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverregular" );
	logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
	logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "no rights" );
	logEntry.log( is, slog, Syslog.LOG_ERR );

//			slog.syslog(Syslog.LOG_ERR, "ERROR ADMIN serverregular "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue("no rights"));
	throw new IMException( LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_RIGHTS_OPERATION" ) );
		}
		String finl  = is.request.getParameter("final");
		String study = is.request.getParameter("study");
		String order = is.request.getParameter("order");
		String limit = is.request.getParameter("limit");
		DicomSrvToolbox.saveDailyRec(finl, study, order, limit);
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverregular" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REGULAR_PURGE_STUDIES, study );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REGULAR_PURGE_FINALS, finl );
		logEntry.setField( OperLogEntry.FIELD.SERVER_REGULAR_PURGE_ORDERS, order );
		logEntry.setField( OperLogEntry.FIELD.SERVER_FILTERED_LIMIT, limit );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverregular "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(study) +" "+ Syslog.logValue(finl) +" "+ Syslog.logValue(order) +" "+ Syslog.logValue(limit) +" - - - - -");
	} // ROp == Change


	// Saving disk limit settings
	if ("Change".equals(parDOp)) {
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverdisk" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );

		if (isRestricted) {
	logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "no rights" );
	logEntry.log( is, slog, Syslog.LOG_ERR );
	
//			slog.syslog(Syslog.LOG_ERR, "ERROR ADMIN serverdisk "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue("no rights"));
	throw new IMException( LocalizedMessage.getSimpleMessage( "EXCEPTION_ERROR_RIGHTS_OPERATION" ) );
		}
		try {
	String parFreeLimit = is.request.getParameter("freelimit");
	String parMinCache  = is.request.getParameter("mincache");
	DicomSrvToolbox.saveLimitConf(parFreeLimit, parMinCache);
	
	logEntry.setField( OperLogEntry.FIELD.SERVER_DISK_SAFETY_FREE, parFreeLimit );
	logEntry.setField( OperLogEntry.FIELD.SERVER_DISK_MINIMAL_CACHE, parMinCache );
	logEntry.log( is, slog, Syslog.LOG_INFO );
	
//			slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverdisk "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - "+ Syslog.logValue(parFreeLimit) +" "+ Syslog.logValue(parMinCache) +" - - - - - - - - - - - - -");
		}
		catch (IMException th) {
	logEntry.setField( OperLogEntry.FIELD.SERVER_ERROR_MESSAGE, "unknown error" );
	logEntry.log( is, slog, Syslog.LOG_ERR );
	
//			slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverdisk "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - " + Syslog.logValue("unknown error"));
		}
	} // DOp == Change


	if ("Change".equals(parIOp)) {
		DicomSrvToolbox.saveInstitution(is.request.getParameter("institution"));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverinstiution" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_INSTITUTION, "true" );
		logEntry.log( is, slog, Syslog.LOG_INFO );
		
//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverinstiution "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - "+ Syslog.logValue("true") +" - - - - - - - - - - - - - - - - - -");
	}

	if ("Change".equals(parIPOp)) {
		DicomSrvToolbox.saveLocalIPsCfg(is.request.getParameter("localIPs"));
		
		OperLogEntry logEntry = new OperLogEntry( OperLogEntry.LEVEL.ADMIN, "serverlocalip" );
		logEntry.setField( OperLogEntry.FIELD.USER, casesDefs.getUser() );
		logEntry.setField( OperLogEntry.FIELD.SERVER_LOCAL_IP, "true" );
		logEntry.log( is, slog, Syslog.LOG_INFO );

//		slog.syslog(Syslog.LOG_INFO, "INFO ADMIN serverlocalip "+ casesDefs.getUser() +" - - - - - - - - - - - - - - - - - - "+ Syslog.logValue("true") +" - - - - - - - - - - - - - - -");
	}
%>
<STYLE TYPE="text/css">
	TD.topmost {
		font-family: arial, helvetica, universe, sans-serif;
		vertical-align: top;
		horizontal-align: center;
		font-size: 10pt;
	}
</STYLE>

<table width="100%" border=1 cellpadding=0 cellspacing=0 class=BgShadow>
	<tr>
		<td>
			<br>
			&nbsp;&nbsp;<font size="4"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_TITLE" ) %></font>
			<br> &nbsp;
		</td>
	</tr>
</table>
<table width="100%" border=1 cellpadding=0 cellspacing=0 class=BgShadow>
	<tr>
		<td CLASS=topmost align=center valign=top width="50%">
			&nbsp;
			<H3><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_WEB_SERVER_SETTINGS" ) %></H3>
			<A href="logos.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_LOGOS" ) %></A><BR>
			<A href="customize.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_CUSTOMIZE" ) %></A><BR>
			<A href="setContact.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_SET_CONTACT" ) %></A><BR>
			<A href="setDirections.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_SET_DIRECTIONS" ) %></A>
			<%=DicomSrvToolbox.getLanguageSettingsForm(is)%>
			<%
				if (is.hasRight(PacsRight.Support.letterString())) {
						BundleManager.checkForBundleUpload(is);
			%>
			
			<form enctype="MULTIPART/FORM-DATA" method="POST">
				<table cellspacing=0 sellpadding=0><tr>
		    	<td valign="center">
    				<%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_UPLOAD_BUNDLE" ) %>:<input name="bundle" type="file">
    			</td><td valign="center">
		    		<%= JSHelper.getJsInputLocalizedButton( is, "BUTTON_UPLOAD", "op", "Upload" ) %>
		    	</td>
		    </tr></table>
		  </form>
			<%} %>
		</td>
		<td CLASS=topmost align=center valign=top>
			&nbsp;
			<H3><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_SYSTEM_SETTINGS" ) %></H3>
<%--	<A href="preftime.jsp">Set prefetch disable intervals</A><BR> -- %>
			<a href="reportXML.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_REPORT_XML" ) %></a><br>
			<A href="merge.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_MERGE" ) %></A><BR>
			<A href="labels.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_LABELS" ) %></A><BR>
			<A href="callbacks.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_CALLBACKS" ) %></A><BR>
			<A href="doctypes.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_DOCTYPES" ) %></A><BR>
			<A href="location.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_LOCATION" ) %></A><BR>
			<%if (is.hasRight(IMTypeur.SUPPORT_RIGHT)) {%>
			<A href="formatsr.jsp"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FORMAT_EXTERNAL_REPORTS_TITLE" ) %></A><BR>
			<%} %>
			<A href="<%=LayoutImpl.getPage( LayoutPart.LDAPCONFIGLAYOUT ) %>"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_LDAP" ) %></A><BR>
			<A href="<%=LayoutImpl.getPage( LayoutPart.PRACTICELAYOUT ) %>"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_DICOMSRV_PRACTICE" ) %></A><BR>
			
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top rowspan=<%=isRestricted?"2":"3"%>>
<%
			DicomSrvToolbox.printDICOMOptionsForm(is);
%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getDiskLimitForm(is)%>
		</td>
	</tr>
	<% if (!isRestricted) {%>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getProductTypeForm(is)%>
		</td>
	</tr>
	<%}%>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=PluginToolbox.getMainPluginForm(is, true)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top rowspan=2>
			<%=DicomSrvToolbox.getNormalitySettingsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getSuppressLocalOnlyForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getChangedPresentationForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getHL7OptionsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getRegularTasksForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getInstitutionInfoForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getFilteredListSettingsForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getSecurityOptionsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getTimerSettingsForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getLocalIPsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<% DicomSrvToolbox.printStudyOperationOptionsForm( is ); %>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center colspan=2>
			<%=DicomSrvToolbox.getNameFormattingForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getDateFormattingForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getCurrentDateForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getAmountFormattingForm(is)%>
		</td>
<%-- FAXREMOVED 		
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getFaxSettingsForm(is)%>
		</td>
-- %>		
		<td CLASS=topmost align=center valign=top rowspan=3>
			<%=DicomSrvToolbox.getScanDemogForm(is)%>
		</td>
	</tr>
<%--		
		if( TabBean.hasLicense( TabBean.LICENSE_RADAR ) ) {
%>
		<tr>
			<td CLASS=topmost align=center valign=top>
				<%=DicomSrvToolbox.getRadarSettingsForm( is )%>
			</td>
		</tr>
<%			
		}
-- %>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getScanSettingsForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getSiteSettingsForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getLogSettingsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getUserActionsForm(is)%>
		</td>
	</tr>
	<tr>
		<td CLASS=topmost align=center valign=top>
			<%=DicomSrvToolbox.getLocationSettingsForm(is)%>
		</td>
		<td CLASS=topmost align=center valign=top>
			&nbsp;
		</td>
	</tr>
</table>
</BODY>
</HTML>
--%>