<%@
	page errorPage="../main/exceptionHandler.jsp"

%><% throw new Exception("Unimplemented JSP");%>
<%--<%@
	page import="java.io.*, java.sql.*, java.text.Format, java.util.*, imagemed.types.*, imagemed.types.string.IMTypePN,
			imagemed.imsession.*,imagemed.util.*,imagemed.jsputil.*, imagemed.http.IMRequest, imagemed.dotcom.*"

%><%@
	page errorPage="../main/exceptionHandler.jsp"

%><%!
	// For displaying user names
		static IMTypePN m_typePN = ((IMTypePN) IMType.getTypeFor("PN"));

%><%

	IMSession is = new IMSession(request, response, out);
	if (!is.regOK()) {
		return;
	}

	String parBack = request.getParameter( "cBack" );
	if ( null == parBack ) {
		parBack = request.getHeader( "Referer" );
	}
	if ( null == parBack ) {
		parBack = "javascript:self.history.back();";
	}

	if ( !is.hasRight( imagemed.types.flag.IMTypeur.SUPPORT_RIGHT ) ) {
		Format[] msgFormat = new Format[] { null };
		Object[] msgObject = new Object[] { is.regID };
		throw new imagemed.exception.IMGeneralException( is,
				LocalizedMessage.getCompoundMessage( "NO_RIGHTS_REQ_PAGE", msgFormat, msgObject, true),
				"imadmin/dicomsrv.jsp", LocalizedMessage.getSimpleMessage( "IMADMIN_FORMAT_EXTERNAL_REPORTS_TITLE" ), parBack, 4 );
	}

	
	String workID = "extsr." + System.currentTimeMillis() + "." + Helper.getCounter();

	// for debugging
	boolean isDBOnly = DotcomConfig.selfDevice().isDbOnly();
	
	if ( isDBOnly ) {
		String targetDevice = request.getParameter( "cHub" );
		if ( targetDevice != null ) {
			StringBuilder redirURL = new StringBuilder( 256 );
			String redirHost = RedirectToolbox.getURL( DotcomConfig.getConfig().getServerNameTowards( targetDevice ), is.regIP, null );
			if ( redirHost != null ) {
				redirURL.append( redirHost )
						.append( "/imadmin/formatsr.jsp" )
						.append( "?" ).append( RedirectToolbox.getRedirectParams( is ) );
				response.sendRedirect( redirURL.toString() );
				return;
			}
		}
	}
	
	
	String workDirName = IMEnvBase.getEnv( "TMP" ) + "/" + workID;
	File workDir = new File( workDirName );
	if ( ! workDir.exists() ) {
		String origFormatDirectory = IMEnvBase.getEnv( "SR_VAR" ) + "/format";
		String targetFormatDirectory = workDirName + "/format";
		workDir.mkdir();
		Helper.copyAdvanced( origFormatDirectory, targetFormatDirectory, true, "r" );
	}
	
	
%><!DOCTYPE HTML><%--  PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd" -- %><HTML>
<HEAD>
<TITLE><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FORMAT_EXTERNAL_REPORTS_TITLE" ) %></TITLE>
<%
	imagemed.tables.Table.printCommonScript(is);
	JSHelper.printJsInclude( out, JSHelper.IMPOPUP_JS );
	JSHelper.printJsInclude( out, JSHelper.JQUERY_JS );
%>
<SCRIPT>

	// Identifies the working directory 
	var workID = "<%= workID %>";

	// Name of the configuration file displayed in the editor
	var selectedFile = "";

	// UID of the selected study
	var studyUID = "";

	// Filename of the selected SR object
	var srFile = "";

	// The rule set being configured ('html', 'text')
	var ruleSet = "html";

	// Configuration has changed - but not yet applied
	var isChanged = false;

	/*
	 * Configuration file
	 *
	 * props:
	 *     fname     - path to the official version of the file
	 *     editable  - whether the configuration file is editable (a custom one) or not (a built-in one)
	 *     ftype     - Headers (heading definitions) or External (formatting rules)
	 *     exists    - whether the file exists or not
	 *     shortname - short file name passed relative to the working directory
	 *
	 * other members:
	 *     div       - the HTML div element displaying the file name in the config file list
	 *     bgClass   - style class for the background of the div
	 *     fontClass - style class for the font in the div
	 */
	function ConfigFile( props ) { // id, styiuid, date, content, href
		 
		/*
		 * Init
		 *
		 * creates the div and adds to the config list 
		 */
		this.div = document.createElement( 'div' );
		for ( var prop in props) {
			this[ prop ] = props[ prop ];
		}

		this.bgClass = "BgLight";
		this.fontClass = "";
		
		this.div.innerHTML = this.fname;
/* 		if ( this.exists == "true" ) {
			this.div.style.fontWeight = "bold";
		}
		else {
			this.fontClass = " FontDisabled";
		}
 */		if ( this.editable != "true" ) {
			this.bgClass = "BgMedDark";
//			this.fontClass = " FontDisabled";
		}

		this.div.className = this.bgClass + this.fontClass;

		
		this.div.addEventListener( "click", function(){ loadFile( this ); }); 

		if ( this.ftype == "Headers" ) {
			$("#headingrules").append( this.div );
		}
		else {
			$("#formatrules").append( this.div );
		}
		
		
		/*
		 * Loads the content of the config file to the editor
		 */
		this.load = function() {
			var divEditConf = document.getElementById( "editconffile" );

			$.ajax( {
				url : "/imadmin/getsrdump.jsp?cOper=getConfig&cConf=" + this.shortname + "&cEdit=" + this.editable + "&cWork=" + workID,
				dataType : 'json',
				cache: false,
				success : function( res ) {
					if ( typeof res == 'string' ) {
						alert( "Getting SR structure failed: " + res );
						return;
					}

					divEditConf.value = res[ "content" ];
					divEditConf.disabled = false;
				}
			} );

			if ( "true" == this.editable ) {
				document.getElementById( "editconffile" ).readOnly = false;
			}
			else {
				document.getElementById( "editconffile" ).readOnly = true;
			}
		}
		
		/*
		 * Selects the div in the config list and loads the content of the config file to the editor
		 */
		this.selectDiv = function() {
			this.div.className = "BgSort1" + this.fontClass;
			this.load();
		}

		
		/*
		 * Deselects the div in the config list
		 */
		this.deselectDiv = function() {
			this.div.className = this.bgClass + this.fontClass;
		}
	};
	
	// List of configuration files defining the formatting rules for the selected SR object  
	var confFileArray = [];

	
	/*
	 * Callback function to load the content of the selected configuration file
	 *
	 * params:
	 *   div - the HTML div element of the configuration file
	 */
	function loadFile( div ) {

		var fn = div.innerHTML;
		
		if ( selectedFile === fn ) {
			// already selected
			return;
		}
	
		var i;
		for	( i = 0; i < confFileArray.length; i++ ) {
			if ( confFileArray[ i ].fname === fn ) {
				confFileArray[ i ].selectDiv();
				confFileArray[ i ].load();
			} 
			else if ( confFileArray[ i ].fname === selectedFile ) {
				confFileArray[ i ].deselectDiv();
			}
		}
		selectedFile = fn;
	}

	/*
	 * Clear all values for selecting a new report
	 */
	function clearValues() {
		$("#headingrules").empty();
		$("#formatrules").empty();

		while ( confFileArray.length > 0 ) {
			confFileArray.pop();
		}
		$("#srdump").empty();

		var divEditConf = document.getElementById( "editconffile" );
		divEditConf.value = "";
		divEditConf.disabled = true;

		$("#dispCS").empty();
		$("#dispCV").empty();
		$("#dispCN").empty();
		document.getElementById( 'repcodes' ).style.visibility = 'hidden';
		selectedFile = "";
		srFile = "";
		
		document.getElementById( "srformatted" ).src = "about:blank";
	}
	

	/*
	 * Loads the configuration file list for the selected SR object 
	 */
	function loadRules() {
		var cs = document.getElementById( "dispCS" ).innerHTML;
		var cv = document.getElementById( "dispCV" ).innerHTML;

		$("#headingrules").empty();
		$("#formatrules").empty();
		while ( confFileArray.length > 0 ) {
			confFileArray.pop();
		}
		
		$.ajax(  {
			url : "/imadmin/getsrdump.jsp?cOper=getRules&cCV=" + cv + "&cCS=" + cs + "&cRule=" + ruleSet + "&cWork=" + workID,
			dataType : 'json',
			cache: false,
			success : function( res ) {
				if ( typeof res == 'string' ) {
					alert( "Getting rule set failed: " + res );
					return;
				}
 				
				var i;
				for	( i = 0; i < res.length; i++ ) {
					if ( res[ i ][ "exists" ] !== "true" && res[ i ][ "editable" ] !== "true" ) {
						continue;
					}
					
					var confFile = new ConfigFile( res[ i ] );
					confFileArray.push( confFile );
					if ( selectedFile === "" ) {
						selectedFile = confFile.fname;
						confFile.selectDiv();
					}
					else if ( selectedFile === confFile.fname ) {
						// Reloading rules after a save for the same SR object
						confFile.selectDiv();
					}
				} 
			}
		})

	}
	
	
	/*
	 * Set concept name HTML elements and reload rule files for the selected SR object
	 */
	function setCode( cv, cs, cn ) {
		document.getElementById( 'repcodes' ).style.visibility = 'visible';

		var dispCS = document.getElementById( "dispCS" );
		var dispCV = document.getElementById( "dispCV" );
		var dispCN = document.getElementById( "dispCN" );
		dispCV.innerHTML = cv;
		dispCS.innerHTML = cs;
		dispCN.innerHTML = cn;

		loadRules();
	}
	

	/*
	 * Loads the SR dump (structure) of the selected report object
	 * Will also set concept name and load configuration file list
	 */
	function loadSRDump() {
		var divSrdump = document.getElementById( "srdump" );
		var cv = "";
		var cs = "";
		var cn = "";

		$.ajax( {
			url : "/imadmin/getsrdump.jsp?cOper=getDump&cStudy=" + studyUID + "&cFile=" + srFile + "&cWork=" + workID,
			dataType : 'json',
			cache: false,
			success : function( res ) {
				if ( typeof res == 'string' ) {
					alert( "Getting SR structure failed: " + res );
					return;
				}

				for ( var varname in res) {
					if ( varname == "content" ) {
						divSrdump.innerHTML = res[ varname ];
					}
					else if ( varname == "codevalue" ) {
						cv = res[ varname ];
					}
					else if ( varname == "scheme" ) {
						cs = res[ varname ];
					}
					else if ( varname == "conceptname" ) {
						cn = res[ varname ];
					}
				}
				
				setCode( cv, cs, cn );
			}
		} );
	}

	/*
	 * Loads the formatted content of the SR file to the preview frame
	 */
	function loadSRFormatted() {
		var divSrformatted = document.getElementById( "srformatted" );
		divSrformatted.src = "/imadmin/getformattedsr.jsp?cStudy=" + studyUID + "&cFile=" + srFile + "&cRule=" + ruleSet + "&cWork=" + workID;
	}

	/*
	 * Initializes content for a newly selected SR object
	 */
	function initFiles() {
		loadSRDump();
		loadSRFormatted();
	} 
	
	/*
	 * Callback function to select another SR object for the same study
	 * reloads content for the selected SR object
	 *
	 * params:
	 *    sel - Select HTML element listing the SR objects for a study
	 */
	function reportSelected( sel ) {
		clearValues();
		srFile = sel.value;
		initFiles();
	}


	/*
	 * Callback function to select a different rule set to configure.
	 * Reloads content for the selected rule set
	 *
	 * params:
	 *    sel - Select HTML element listing the rules
	 */
	function ruleSelected( sel ) {
		// clear rules, config file editor and formatted output 
		$("#headingrules").empty();
		$("#formatrules").empty();
		while ( confFileArray.length > 0 ) {
			confFileArray.pop();
		}

		var divEditConf = document.getElementById( "editconffile" );
		divEditConf.value = "";
		divEditConf.disabled = true;

		document.getElementById( "srformatted" ).src = "about:blank";

		// Set rule
		ruleSet = sel.value;

		// Reload rules and formatted output
		loadRules();
		loadSRFormatted();
	}


	/*
	 * Shorten the name of the SR object to fit display area.
	 * Replaces middle part of the name with '...'
	 */
	function getShortSRName( srName ) {
		if ( srName.length < 50 ) {
			return srName;
		}
		
		var n1 = srName.indexOf( ".", 10 );
		var n2 = srName.indexOf ( ".", n1 + 20 );
		
		return srName.substr( 0, n1 + 1 ) + " ... " + srName.substr( n2 );
	}
	
	/*
	 * Callback function for the study selector (valueSelectorPopupTable.jsp)
	 * Sets the selected study and loads the external SR objects of the study
	 *
	 * params:
	 *     inputID    - Identifies of the form element to the value was selected for (not used)
	 *     inputVal   - UID of the selected study 
	 *     dispValues - study data to display (modality/accession number/patient name)
	 */
	function applySelectedValue( inputID, inputVal, dispValues ) {
		studyUID = inputVal;
		var dv = dispValues.split( "/" );
		
		$("#styname").html( dv[ 2 ] );
		$("#styaccno").html( dv[ 1 ] );
		$("#stymody").html( dv[ 0 ] );
		
		var divReportName = document.getElementById( "reportname" );
		$("#reportname").empty();

		$.ajax( {
			url : "/imadmin/getsrdump.jsp?cOper=getReports&cStudy=" + studyUID + "&cWork=" + workID,
			dataType : 'json',
			cache: false,
			success : function( res ) {
				if ( typeof res == 'string' ) {
					alert( "Getting report files failed: " + res );
					return;
				}

				clearValues();

				if ( res.length == 0 ) {
					$("#reportname").text( "<%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_NO_EXTERNAL_REPORT" ) %>" );
				}
				else if ( res.length == 1 ) {
					srFile = res[ 0 ];
					$("#reportname").text( getShortSRName( res[ 0 ] ) );
					initFiles();
				}
				else {
					var i;
					var divE = document.createElement( 'div' );
					var selectE = document.createElement( 'select' );

					divE.className = "nicer-select";
					divE.appendChild( selectE );
					$("#reportname").append( divE );

					selectE.addEventListener( "change", function(){ reportSelected( this ); }); 

					for	( i = 0; i < res.length; i++ ) {
						var optionE = document.createElement( 'option' );
						optionE.value = res[ i ];
						optionE.text = getShortSRName( res[ i ] );
						selectE.add( optionE );
					}
					srFile = res[ 0 ];
					initFiles();
				}
			}
		} );
	}

	
	function leaveWithoutSaveMsg( event ) {
		event.returnValue = "<%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_UNSAVED_CHANGES" ) %>";
	}

	
	function applyChanges() {
		
		$.ajax({
			type: "POST",
			url: "/imadmin/getsrdump.jsp",
			data: {
				cOper: "applyChanges",
				cWork: workID
			},
			success: function( response ) {
				isChanged = false;
				document.getElementById( "enabledButton" ).style.display = "none";
				document.getElementById( "disabledButton" ).style.display = "inline";
				window.removeEventListener( "beforeunload", leaveWithoutSaveMsg );
			},
			async:false
		});
	}


	/*
	 * Callback function when the content of a configuration file is changed in the editor.
	 * Saves the changes to the working directory and reloads the rules and the preview frame
	 */
	function onRulesChanged( tarea ) {
		var fContent = tarea.value;
		var fShortName = ""; 

		var i;
		for	( i = 0; i < confFileArray.length; i++ ) {
			if ( confFileArray[ i ].fname === selectedFile ) {
				fShortName = confFileArray[ i ].shortname;
				break;
			}
		} 

		if ( fShortName === "" ) {
			alert( "File name could not be detected" );
			return;
		}
		
		$.ajax({
			  type: "POST",
			  url: "/imadmin/getsrdump.jsp",
			  data: {
					cOper: "saveFile",
				    cWork: workID,
				    cFile: fShortName,
				    cContent: fContent
			  },
//			  success: success,
//			  dataType: dataType,
			  async:false
			});
		
		if ( ! isChanged ) {
			isChanged = true;
			document.getElementById( "disabledButton" ).style.display = "none";
			document.getElementById( "enabledButton" ).style.display = "inline";
			window.addEventListener( "beforeunload", leaveWithoutSaveMsg );
		}
		
		loadRules();
		loadSRFormatted();
	}


	function initWidths() {
		var srdumpE = document.getElementById( "srdump" );
		var editE = document.getElementById( "editconffile" );
		var previewE = document.getElementById( "srformatted" );
		
		var wSRdump = srdumpE.clientWidth;
		srdumpE.style.width = wSRdump + "px";
		
 		var wEdit = editE.clientWidth;
		var nwEdit = wEdit - 2;
		editE.style.width = nwEdit + "px";

		var wPreview = previewE.clientWidth;
		var nwPreview = wPreview - 2;
		previewE.style.width = nwPreview + "px";
	}

	function cleanupDir() {
		$.ajax({
			url: "/imadmin/getsrdump.jsp?cOper=cleanup&cWork=" + workID
	  	});
	}
	
	
</SCRIPT>

<STYLE type="text/css">

	table.HubSelector {
		margin-left: auto;
		margin-right: auto;
		margin-top: 20px;
		text-align: left;
	}


	.nicer-select {
		background-color: #e7e7e7;
		border: 1px solid #767676;
		overflow: hidden;
		padding: 0px;
		margin: auto;
		-webkit-border-radius: 4px;
		-moz-border-radius: 4px;
		border-radius: 4px;
	}

	.nicer-select select {
		background: transparent;
		border: none;
		padding: 0px;
		height: 100%;
		width: 100%;
		margin: 0px;
		color: #505050;
	}


	.rule-selector {
		height: 18px;
		width: 91px;
		position: relative;
		top: -1px;
	}


</STYLE>

</HEAD>
<BODY <%= isDBOnly ? "" : "onunload=\"cleanupDir()\" onload=\"initWidths()\"" %>>
<%
	TabToolbox.makeTabs(is, is.tabbean, "imadmin/dicomsrv.jsp", "White");

	if ( isDBOnly ) {
		// Select HUB to proceed on 
		MessageBox mb = new MessageBox( LocalizedMessage.getSimpleMessage( "IMADMIN_FORMAT_EXTERNAL_REPORTS_TITLE" ), "50%", null, "HubSelector" );

		StringBuilder sb = new StringBuilder( 512 );

		sb.append( LocalizedMessage.getSimpleMessage( "IMADMIN_FER_CWL_MESSAGE" ) ).append ( "<BR/><BR/>" );

		
		sb.append( "<form name=\"selectTarget\" method=\"GET\" action=\"/imadmin/formatsr.jsp\">\n" );

		StringBuilder sbSelect = new StringBuilder( 512 );

		sbSelect.append( "<select name=\"cHub\">\n" );

		List<String> hubs = DotcomConfig.getConfig().getHubs( DotcomConfig.selfDevice().getId() );
		if ( hubs != null && hubs.size() > 0 ) {
			Collections.sort( hubs, Helper.compareCaseInSensitive );
			
			for ( String hub: hubs ) {
				String encHub = Helper.htmlEncode( hub );
				sbSelect.append( " <option value=\"" ).append( encHub ).append( "\">" ).append( encHub ).append( "</option>\n" );
			}
		}
		
		sbSelect.append( "</select>" );
		
		sb.append( LocalizedMessage.getCompoundMessage( "IMADMIN_FER_SELECT_HUB", new Format[] { null }, new Object[] { sbSelect.toString() }, true ) ); 
		
		sb.append( "<INPUT type=hidden name=cBack value=\"" ).append( Helper.htmlEncode( parBack ) ).append( "\">\n" );
		sb.append( "</form>\n" );
		
		sb.append( "<BR/>\n" );

		mb.setMessage( sb.toString() );
		
		String okUrl = "javascript:self.document.selectTarget.submit();";

		mb.addButton( new Button( okUrl, "BUTTON_CONTINUE", "BUTTON_CONTINUE" ) );
		mb.addButton( new Button( parBack, "BUTTON_BACK", "BUTTON_CANCEL" ) );
		
		mb.print( is.out );

		is.out.println( "</body></HTML>" );
		return;
	}
	

	StringBuilder selectorLink = new StringBuilder( 256 );
	selectorLink.append( "/scheduler/valueSelectorPopupTable.jsp" );

	String context = IMRequest.createContextName( is );
	String fullName = IMRequest.getContextFileName( is.regID, is._sid, context );

	IMProperties cntxPrp = new IMProperties();
	cntxPrp.setProperty( "cList_0", is.regID + "/default" );
	cntxPrp.setProperty( "cPageTitle", LocalizedMessage.getSimpleMessage( "IMADMIN_FER_SELECT_STUDY" ) );
	cntxPrp.setProperty( "cSelectLabel", LocalizedMessage.getSimpleMessage( "GENERIC_SELECT" ) );
	cntxPrp.setProperty( "cTable", "Dcstudy" );
	cntxPrp.setProperty( "cIDField", "SYUI" );
	cntxPrp.setProperty( "cInputID", "xX" );
	cntxPrp.setProperty( "cDispField", "MODY\nACCN\nPANM" );
	cntxPrp.setProperty( "cDisplayAll", "true" );

	cntxPrp.recWrite( fullName );
	selectorLink.append( "?cContext=" ).append( context );

	String selectStudyLink = "void IMpopup('" + selectorLink + "','Value_selector',800,600)";
%>
<TABLE style="width: 100%; border: 0px; margin: 0px; padding: 0px;">
<TR style="height: 180px; margin: 0px; padding: 0px;">
 <TD class="BgMedDark" style="width: 400px; padding: 2px; margin: 0px;">
 
  <table class="BgShadow" style="width: 100%; height: 60px; border: 0px; margin: 0px; padding: 2px;">
   <tr>
   <td>
    <div id="styname" style="height: 15px; font-weight: bold;"></div>
    <div id="styaccno" style="height: 15px; font-weight: bold;"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_SELECT_STUDY" ) %></div>
    <div id=stymody style="height: 15px; font-weight: bold;"></div>
   </td>
   <td align=right>
    <a style="padding-right: 10px;" href="JavaScript:<%=selectStudyLink%>"><%= JSHelper.getJsLocalizedButton( "GENERIC_SELECT", "GENERIC_SELECT", false ) %></a><BR/>
   </td>
   </tr>
  </table>
  
  <div class="BgShadow" style="width: 100%; height: 80px; border: 0px; margin: 1px 0px; padding: 1px 2px;">
   <div id="reportname" style="height: 30px; font-style: italic; padding-top: 5px;"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_REPORT_LIST" ) %></div>
   <div id="dispCN" style="font-weigth: bold;"></div>
   <div id="repcodes" style="visibility: hidden;"><SPAN id=dispCS></SPAN> / <SPAN id=dispCV></SPAN></div>
  </div>
  
  <table class="BgShadow" style="width: 100%; height: 36px; border: 0px; margin: 0px; padding: 2px;">
   <tr>
   <td width="30%" align="center">
    <div class="nicer-select rule-selector">
    <select id="ruleSet" name="ruleSet" onChange="ruleSelected( this );">
     <option value="html" selected>HTML</option>
     <option value="text">TEXT</option>
    </select>
    </div>
   </td>
   <td width="40%" align="center">
    <a style="margin: auto;" href="<%=parBack %>"><%= JSHelper.getJsLocalizedButton( "BUTTON_BACK", "BUTTON_CANCEL_TITLE", false ) %></a>
   </td>
   <td width="30%" align="center">
    <span id="enabledButton" style="display: none">
    <a style="margin: auto;" href="JavaScript:applyChanges()"><%= JSHelper.getJsLocalizedButton( "BUTTON_APPLY", "BUTTON_APPLY", false ) %></a>
    </span>
    <span id="disabledButton" style="display: inline">
		<%= JSHelper.getJsLocalizedButton( "BUTTON_APPLY", "BUTTON_APPLY", true ) %>
    </span>
   </td>
   </tr>
  </table>
 </TD>
 <TD class="BgMedDark" style="padding: 2px; margin: 0px;">
  <pre id=srdump class="BgLight" style="border: 0px; width: 100%; height: 172px; overflow: auto; margin: 0px; padding: 2px;"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_REPORT_STRUCTURE" ) %></pre>
 </TD>
</TR>


<TR style="height: 150px; padding: 0px; margin: 0px;">
 <TD class="BgContrast_2" style="padding: 0px; margin: 0px; height: 150px;">
  <div style="width: 100%; border: 0px; margin: 0px; padding: 2px; overflow: auto; height: 150px; max-height: 100%;">
   <div class="BgShadow"  style="width: 100%; border: 0px; border-style: none; border-color: Grey; margin: 0px; padding: 0px;">
    <div class="BgContrast_2"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_CFG_RULES" ) %></div>
    <div id="formatrules" class="BgShadow" style="width: 100%;"></div>
   </div>
   <div class="BgShadow" style="width: 100%; border: 0px; frrront-size: 10px; border-style: none; border-color: Grey; margin: 0px; padding: 0px;">
    <div class="BgContrast_2"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_CFG_HEADINGS" ) %></div>
    <div id="headingrules" class="BgShadow" style="width: 100%;"></div>
   </div>
  </div>
 </TD>
 <TD class="BgMedDark" style="padding: 2px; margin: 0px;">
  <textarea id="editconffile" disabled style="width: 100%; height: 146px; overflow: auto; margin: 0px; padding: 0px;" onchange="onRulesChanged( this );"><%= LocalizedMessage.getSimpleMessage( "IMADMIN_FER_CFG_EDITOR" ) %></textarea>
 </TD>
</TR>



<TR>
 <TD colspan=2 class="BgMedDark" style="padding: 2px; margin: 0px;">
  <iframe id=srformatted src="/imadmin/getformattedsr.jsp?cOper=init" width="100%" height="600px" class="BgLight" style="overflow: auto; margin: 0px; padding: 2px; border: 0px;"></iframe>
 </TD>
</TR>
</TABLE>
</BODY>
</HTML>--%>